#
# spec file for package python3-incremental
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-incremental
Version:        16.10.1
Release:        1.2
Summary:        Versioning for python projects
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/hawkowl/incremental
Source:         https://files.pythonhosted.org/packages/source/i/incremental/incremental-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Incremental is a small library that versions your Python projects.

%prep
%setup -q -n incremental-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.rst LICENSE NEWS.rst

%changelog
* Sat Nov  5 2016 arun@gmx.de
- initial version
